#!-*-encoding:utf-8-*-

"""
Faas 脚本定位函数
"""

from flask import Flask, request, send_file
import os

tmp_dir = '../uploads'
key = 'simplepwd'

app = Flask(__name__)

@app.route('/upload', methods=['POST'])
def upload():
    file = request.files['file']
    file.save(os.path.join(tmp_dir, file.filename))
    return 'File uploaded successfully'

@app.route('/download/<filename>', methods=['GET'])
def download(filename):
    #if not os.path.exists(os.path.join(tmp_dir, filename)):
    #    return send_file(os.path.join(tmp_dir, filename), as_attachment=True)
    #else:
    return send_file(os.path.join(tmp_dir, filename), as_attachment=True)

if not os.path.exists(tmp_dir):
    os.makedirs(tmp_dir)

if __name__ == '__main__':
    app.run(debug=False)

