# -*- coding: utf-8 -*-
import os

import oss2
import requests


# https://help.aliyun.com/zh/oss/developer-reference/simple-upload-1?spm=a2c4g.11186623.0.0.2f61485fASbz2I
endpoint = 'http://oss-cn-hongkong.aliyuncs.com' # Suppose that your bucket is in the Hangzhou region.
auth = oss2.Auth('LTAI5t5ZyATP7DL4nMdK51eL', 'WnJqm3jpuP0JUMo3to8wzcVHgIrBAB')
bucket = oss2.Bucket(auth, endpoint, 'oss-aliyun-hk')

# The object key in the bucket is story.txt
key = 'story.txt'

# Upload
#bucket.put_object(key, 'Ali Baba is a happy youth.')

# 填写网络流地址。
input = requests.get('https://t21.cdn2020.com/video/m3u8/2023/05/12/253c6f4f/0000.ts')
# 填写Object完整路径。Object完整路径中不能包含Bucket名称。
bucket.put_object('test/bytes.test', input.content)
# bucket.put_object_from_file('exampleobject.txt', 'D:\\localpath\\examplefile.txt')

# Download
#print(bucket.get_object(key).read())
# 下载Object到本地文件，并保存到指定的本地路径D:\\localpath\\examplefile.txt。如果指定的本地文件存在会覆盖，不存在则新建。
try:
    bucket.get_object_to_file('test/bytes.test', 'G:\\spider\\test\\oss_ali_test.ts')
except oss2.exceptions.NoSuchKey:
    os.remove('G:\\spider\\test\\oss_ali_test.ts')

print('ok')
# Delete
#bucket.delete_object(key)
bucket.delete_object('test/bytes.test')

# Traverse all objects in the bucket
for object_info in oss2.ObjectIterator(bucket):
    print(object_info.key)


if __name__ == '__main__':
    print('1')